### Method

# Gsk.Transform.rotate_3d

#### Declaration [src]

    GskTransform*
    gsk_transform_rotate_3d (
      GskTransform* next,
      float angle,
      const graphene_vec3_t* axis
    )

#### Description [src]

Rotates `next` `angle` degrees around `axis`.

For a rotation in 2D space, use `gsk_transform_rotate()`

#### Parameters

`angle` | `float`
| the rotation angle, in degrees (clockwise)
`axis` | `const graphene_vec3_t*`
| The rotation axis
| Ownership is not transferred to the callee

#### Return value

Returns: `GskTransform`
The new transform
Ownership of the data is transferred to the caller